Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstance, JBPMMessages.ProcessInstance.NodeInstance.Builder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static interface JBPMMessages.ProcessInstance.NodeInstanceOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent` | `getContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
`JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder` | `getContentOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
`long` | `getId()` `optional int64 id = 1;`
`int` | `getLevel()` `optional int32 level = 5;`
`long` | `getNodeId()` `optional int64 node_id = 2;`
`boolean` | `hasContent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`
`boolean` | `hasId()` `optional int64 id = 1;`
`boolean` | `hasLevel()` `optional int32 level = 5;`
`boolean` | `hasNodeId()` `optional int64 node_id = 2;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasId

    boolean hasId()

  `optional int64 id = 1;`

### getId

    long getId()

  `optional int64 id = 1;`

### hasNodeId

    boolean hasNodeId()

  `optional int64 node_id = 2;`

### getNodeId

    long getNodeId()

  `optional int64 node_id = 2;`

### hasContent

    boolean hasContent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

### getContent

    JBPMMessages.ProcessInstance.NodeInstanceContent getContent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

### getContentOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder getContentOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent content = 4;`

### hasLevel

    boolean hasLevel()

  `optional int32 level = 5;`

### getLevel

    int getLevel()

  `optional int32 level = 5;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.